gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: add shell script to revoke DK as


From: gnunet
Subject: [taler-exchange] branch master updated: add shell script to revoke DK as requested by Florian for revocation testing via taler-wallet-cli
Date: Tue, 04 Feb 2020 22:19:04 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 2590db50 add shell script to revoke DK as requested by Florian for 
revocation testing via taler-wallet-cli
2590db50 is described below

commit 2590db50d59602980a09d48280f69e1662eb3168
Author: Christian Grothoff <address@hidden>
AuthorDate: Tue Feb 4 22:19:01 2020 +0100

    add shell script to revoke DK as requested by Florian for revocation 
testing via taler-wallet-cli
---
 contrib/taler-exchange-revoke | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/contrib/taler-exchange-revoke b/contrib/taler-exchange-revoke
new file mode 100755
index 00000000..8ce0e878
--- /dev/null
+++ b/contrib/taler-exchange-revoke
@@ -0,0 +1,24 @@
+#!/bin/sh
+# This file is in the public domain
+#
+# Used to first revoke a key and then restart the exchange
+# to ensure it notices the revocation.
+#
+# Takes 2 arguments:
+# $1: the configuration file name
+# $2: the denomination key hash (DKH) of the denomination to revoke
+
+set -eu
+
+if [ "$#" -ne 2 ];
+then
+  echo "illegal number of parameters"
+  exit 1
+fi
+
+taler-exchange-keyup -c $1 -r $2
+
+EXCHANGE_PID=`ps x | grep taler-exchange-httpd | awk '{print $1}'`
+kill -HUP $EXCHANGE_PID
+
+exit 0

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]